## org.apache.batik.anim
Class AnimationEngine.Sandwich

    java.lang.Object
      org.apache.batik.anim.AnimationEngine.Sandwich

Enclosing class:
  AnimationEngine

    protected static class AnimationEngine.Sandwich

extends java.lang.Object

Class to hold an animation sandwich for a particular attribute.

Field Summary
`AbstractAnimation` `animation` The top-most animation in the sandwich.
`boolean` `listenerRegistered` Whether an `AnimationTargetListener` has been registered to listen for changes to the base value.
`AbstractAnimation` `lowestAnimation` The bottom-most animation in the sandwich.
`boolean` `shouldUpdate` Whether the animation needs to have its value copied into the document.

Constructor Summary
`protected` `AnimationEngine.Sandwich()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### animation

    public AbstractAnimation animation

  The top-most animation in the sandwich.

### lowestAnimation

    public AbstractAnimation lowestAnimation

  The bottom-most animation in the sandwich.

### shouldUpdate

    public boolean shouldUpdate

  Whether the animation needs to have its value copied into the document.

### listenerRegistered

    public boolean listenerRegistered

  Whether an `AnimationTargetListener` has been registered to listen for changes to the base value.

Constructor Detail

### AnimationEngine.Sandwich

    protected AnimationEngine.Sandwich()

Copyright © 2008 Apache Software Foundation. All Rights Reserved.